A [Minecraft](https://minecraft.net) server running on [Paper](https://papermc.io/).

# Volumes
- `/var/lib/minecraft/plugins`
- `/var/lib/minecraft/world`
- `/var/lib/minecraft/world_nether`
- `/var/lib/minecraft/world_the_end`
- `/var/lib/minecraft/ops.json`
- `/var/lib/minecraft/whitelist.json`
- `/var/lib/minecraft/banned-ips.json`
- `/var/lib/minecraft/banned-players.json`

# Environment Variables
## SERVER_NAME
The name of the server.

## MOTD
Message of the day.

## LEVEL_SEED
[Seed](http://minecraft.gamepedia.com/Seed_(level_generation)) for level generation.

## BUKKIT_CONNECTION_THROTTLE
- default: 4000

The delay before a client is allowed to connect again after a recent connection attempt in milliseconds.
`0` disables the limit.

## OP_PERMISSION_LEVEL
- default: 4

One of:
- 1: Ops can bypass spawn protection.
- 2: Ops can use /clear, /difficulty, /effect, /gamemode, /gamerule, /give, and /tp, and can edit command blocks.
- 3: Ops can use /ban, /deop, /kick, and /op.
- 4: Ops can use /stop.

## ALLOW_NETHER
- default: true

Whether players can travel to the Nether.

## ALLOW_FLIGHT
- default: false

Allows users to use flight on your server while in Survival mode, if they have a mod that provides flight installed.
No effect in Creative mode.

## ANNOUNCE_PLAYER_ACHIEVEMENTS
- default: true

Whether there is a server announcment when a player gets an achievement.

## MAX_WORLDSIZE
- default: 29999984

This sets the maximum possible size in blocks, expressed as a radius, that the world border can obtain.

## LEVEL_TYPE
- default: DEFAULT

One of:
- DEFAULT: Standard world with hills, valleys, water, etc.
- FLAT: A flat world with no features, meant for building.
- LARGEBIOMES: Same as default but all biomes are larger.
- AMPLIFIED: Same as default but world-generation height limit is increased.
- CUSTOMIZED: Same as default unless generator-settings is set to a preset.

## MAX_BUILD_HEIGHT
- default: 256

The maximum height in which building is allowed. Terrain may still naturally generate above a low height limit.

## SPAWN_NPCS
- default: true

Determines whether villagers will be spawned.

## SPAWN_ANIMALS
- default: true

Determines if [animals](http://minecraft.gamepedia.com/Mob#Passive) will be able to spawn.

## SPAWN_MONSTERS
- default: true

Determines if monsters will be spawned.

## GENERATE_STRUCTURES
- default: true

Defines whether [structures](http://minecraft.gamepedia.com/Generated_structures) will be generated.

## WHITELIST
- default: false

Whether the whitelist is used.

## HARDCORE
- default: false

If set to true, players will be set to spectator mode if they die.

## PVP
- default: true

Whether PvP is enabled.

## DIFFICULTY
- default: 2

Defines the [difficulty](http://minecraft.gamepedia.com/Difficulty) of the server.

One of:
- 0: Peaceful
- 1: Easy
- 2: Normal
- 3: Hard

## GAMEMODE
- default: 0

Defines the [mode of gameplay](http://minecraft.gamepedia.com/Gameplay#Game_modes).

One of:
- 0: Survival
- 1: Creative
- 2: Adventure
- 3: Spectator

## ONLINE_MODE
- default: true

Whether to authenticate players with the mojang database. Disable it when running behind bungeecord.

## PLAYER_IDLE_TIMEOUT
- default: 0

If non-zero, players are kicked from the server if they are idle for more than that many minutes.

## MAX_PLAYERS
- default: 20

The maximum number of players that can play on the server at the same time.

## VIEW_DISTANCE
- default: 10

Sets the amount of world data the server sends the client, measured in chunks in each direction of the player (radius, not diameter).

## BUNGEECORD
- default: false

Whether the server runs behind a bungeecord instance.

## MIN_RAM
- default: 512M
Minimal heapsize for the jvm.

## MAX_RAM
- default: 512M
Maximal heapsize for the jvm.

# Ports
- 25565

# Capabilities
- CHOWN
- DAC_OVERRIDE
- FOWNER
- NET_BIND_SERVICE
- SETGID
- SETUID
